## binutils 2.33.1

=== debian/changelog ===
binutils (2.33.1-2) unstable; urgency=medium

  * Update from the binutils 2.33 branch:
    - Arm: Fix out of range conditional branch (PR/24991).
    - [bfd] Revise import stubs on hppa.
    - [bfd] Provide 8-byte minimum alignment for .plt section on hppa.
  * Drop amd64 cross compiler from the build dependencies on x32.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Oct 2019 21:28:38 +0200

binutils (2.33.1-1) unstable; urgency=medium

  * Binutils 2.33.1 release.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Oct 2019 11:43:46 +0200
