=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for binutils (2.29)
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2007 James Troup.
# Portions Copyright 2008-2017 Canonical Ltd.
# Portions Copyright 2008-2017 Matthias Klose.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

###############################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
DPKG_VARS := $(shell dpkg-architecture)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_GNU_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy jessie))
  ifeq ($(DEB_HOST_GNU_TYPE),i586-linux-gnu)
    DEB_BUILD_GNU_TYPE	= i686-linux-gnu
    DEB_HOST_GNU_CPU	= i686
    DEB_HOST_GNU_TYPE	= i686-linux-gnu
    TRIPLET_SYMLINK	= i586-linux-gnu
  else ifeq ($(DEB_HOST_GNU_TYPE),i586-kfreebsd-gnu)
    DEB_BUILD_GNU_TYPE	= i686-kfreebsd-gnu
    DEB_HOST_GNU_CPU	= i686
    DEB_HOST_GNU_TYPE	= i686-kfreebsd-gnu
    TRIPLET_SYMLINK	= i586-kfreebsd-gnu
  else ifeq ($(DEB_HOST_GNU_TYPE),i586-gnu)
    DEB_BUILD_GNU_TYPE	= i686-gnu
    DEB_HOST_GNU_CPU	= i686
    DEB_HOST_GNU_TYPE	= i686-gnu
    TRIPLET_SYMLINK	= i586-gnu
  endif
endif

p_bin = binutils
p_com = $(p_bin)-common
p_lib = lib$(p_bin)
p_nat = $(p_bin)-$(subst _,-,$(DEB_HOST_GNU_TYPE))
p_dev = $(p_bin)-dev
p_mul = $(p_bin)-multiarch
p_mdev = $(p_mul)-dev
p_doc = $(p_bin)-doc
p_hppa64 = $(p_bin)-hppa64-linux-gnu
p_src = $(p_bin)-source

p_hst = $(p_bin)-for-host
p_bld = $(p_bin)-for-build

p_cross = $(p_bin)-$(subst _,-,$(TARGET))

# version used for p_bld/p_hst dependencies
min_ver = 2.30-2

distribution := $(shell lsb_release -is)
distrelease  := $(shell lsb_release -cs)
ifeq ($(distrelease),n/a)
  distrelease     := sid
endif

# BACKPORT is used for cross builds for a -source package not conflicting
# with the source package of the native package.
ifeq ($(BACKPORT),true)
  p_src = $(p_bin)-$(VERSION)-source
else
  p_src = $(p_bin)-source
endif

pwd   := $(shell pwd)
d     = debian/tmp
d_bin = $(d)
d_com = debian/$(p_com)
d_lib = debian/$(p_lib)
d_nat = debian/$(p_nat)
d_dev = debian/$(p_dev)
d_mul = debian/$(p_mul)
d_mdev = debian/$(p_mdev)
d_doc = debian/$(p_doc)
d_hppa64 = debian/$(p_hppa64)
d_src = debian/$(p_src)

d_hst = debian/$(p_hst)
d_bld = debian/$(p_bld)

d_cross = debian/$(p_cross)

install_dir    = install -d -m 755
install_file   = install -m 644
install_script = install -m 755
install_binary = install -m 755 -s --strip-program="$(STRIP)"

NATIVE_ARCHS ?= amd64 i386 arm64 armhf armel ppc64el s390x
NATIVE_ARCHS += alpha hppa ia64 m68k powerpc ppc64 \
	riscv64 sh4 sparc64 x32
NATIVE_ARCHS += hurd-i386 kfreebsd-amd64 kfreebsd-i386
NATIVE_ARCHS += mips mipsel mipsn32 mipsn32el mips64 mips64el
NATIVE_ARCHS += mipsn32r6 mipsn32r6el mipsr6 mipsr6el mips64r6 mips64r6el
#NATIVE_ARCHS += nios2 or1k s390 sparc

src_name := $(shell dpkg-parsechangelog -S Source)
ifeq ($(src_name),binutils)
  with_native	= yes
  with_cross	= yes
  same_source	= yes
  ifeq (,$(CROSS_ARCHS))
    ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
      CROSS_ARCHS =  s390x ppc64el arm64 armhf armel
      CROSS_ARCHS += alpha hppa m68k
      CROSS_ARCHS += powerpc ppc64 sh4 sparc64
      CROSS_ARCHS += ia64 riscv64
      CROSS_ARCHS += kfreebsd-amd64 kfreebsd-i386 hurd-i386
      ifneq (,$(filter $(DEB_HOST_ARCH), i386 x32))
        CROSS_ARCHS += amd64
      endif
      ifneq (,$(filter $(DEB_HOST_ARCH), amd64 x32))
        CROSS_ARCHS += i386
      endif
      ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386))
        CROSS_ARCHS += x32
      endif
    else ifeq ($(DEB_HOST_ARCH),arm64)
      CROSS_ARCHS = armel armhf amd64 i386 ppc64el riscv64 s390x x32
    else ifeq ($(DEB_HOST_ARCH),ppc64)
      CROSS_ARCHS = ppc64el
    else ifeq ($(DEB_HOST_ARCH),ppc64el)
      CROSS_ARCHS = powerpc ppc64 amd64 i386 x32 arm64 armel armhf riscv64 s390x
    else
      CROSS_ARCHS =
    endif
  else
    # c-t-b passes this one ...
    CROSS_ARCHS := $(filter-out $(DEB_HOST_ARCH),$(CROSS_ARCHS))
  endif
else ifeq ($(src_name),binutils-mipsen)
  with_native	=
  with_cross	= yes
  same_source	=
  ifeq (,$(CROSS_ARCHS))
    ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
      CROSS_ARCHS = mips mipsel mips64el mips64 mipsn32 mipsn32el
      CROSS_ARCHS += mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
    else
      CROSS_ARCHS =
    endif
  else
    # c-t-b passes this one ...
    CROSS_ARCHS := $(filter-out $(DEB_HOST_ARCH),$(CROSS_ARCHS))
  endif
else
  # binutils-ports ...
  with_cross	= yes
  ifeq (,$(CROSS_ARCHS))
    CROSS_ARCHS ?= m68k sh4 mips64 mips64el
  endif
endif

ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 x32 hppa))
  with_hppa64 = yes
endif

with_multiarch := yes

# disabled: no build-needed restriction used in the autopkg test
ifeq (0,1)
# only build the basic package when running the autopkg tests
ifneq (,$(ADT_TEST_TRIGGERS))
  # c-t-b sets CROSS_ARCHS which has to be respected, can't unset it here
  #CROSS_ARCHS :=
  with_hppa64 :=
  with_multiarch :=
endif
endif

HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el
HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64
HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
HOST_ARCHS_amd64 = arm64 i386 ppc64el x32
HOST_ARCHS_i386 = amd64 arm64 ppc64el x32
HOST_ARCHS_ia64 = amd64 i386 x32
HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el

HOST_ARCHS_alpha = amd64 i386 x32
HOST_ARCHS_hppa = amd64 i386 x32
HOST_ARCHS_m68k = amd64 i386 x32
HOST_ARCHS_ppc64 = amd64 i386 x32 ppc64el
HOST_ARCHS_sh4 = amd64 i386 x32
HOST_ARCHS_sparc64 = amd64 i386 x32
HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el

HOST_ARCHS_mips = amd64 i386 x32
HOST_ARCHS_mipsel = amd64 i386 x32
HOST_ARCHS_mipsn32 = amd64 i386 x32
HOST_ARCHS_mipsn32el = amd64 i386 x32
HOST_ARCHS_mips64 = amd64 i386 x32
HOST_ARCHS_mips64el = amd64 i386 x32

HOST_ARCHS_mipsr6 = amd64 i386 x32
HOST_ARCHS_mipsr6el = amd64 i386 x32
HOST_ARCHS_mipsn32r6 = amd64 i386 x32
HOST_ARCHS_mipsn32r6el = amd64 i386 x32
HOST_ARCHS_mips64r6 = amd64 i386 x32
HOST_ARCHS_mips64r6el = amd64 i386 x32

HOST_ARCHS_kfreebsd-amd64 = amd64 i386 x32
HOST_ARCHS_kfreebsd-i386 = amd64 i386 x32
HOST_ARCHS_hurd-i386 = amd64 i386 x32

CROSS_ARCH	= $(subst .,,$(suffix $@))
_gnu_type	= $(shell dpkg-architecture -a$(1) -qDEB_HOST_GNU_TYPE -f 2>/dev/null)
_multiarch	= $(shell dpkg-architecture -a$(1) -qDEB_HOST_MULTIARCH -f 2>/dev/null)
CROSS_GNU_TYPE	= $(subst i586,i686,$(call _gnu_type,$(CROSS_ARCH)))
P_CROSS		= binutils-$(subst _,-,$(CROSS_GNU_TYPE))
D_CROSS		= debian/binutils-$(subst _,-,$(CROSS_GNU_TYPE))

# If $(TARGET) is not set, try reading debian/target
ifeq (,$(TARGET))
  ifneq (,$(wildcard debian/target))
    TARGET := $(shell cat debian/target 2>/dev/null)
  endif
endif

ifneq (,$(TARGET))
  with_native	=
  with_cross	=
  same_source	=
  # Support TARGET both as Debian architecture specification (e.g. arm),
  # and as the target name (e.g. arm-linux-gnu).
  try_convert := $(shell dpkg-architecture -f -a$(TARGET) -qDEB_HOST_GNU_TYPE 2>/dev/null)
  ifneq ($(try_convert),)
    override TARGET := $(try_convert)
  endif
  DPKG_TARGET_VARS := $(shell dpkg-architecture -f -t$(TARGET))
  DEB_TARGET_MULTIARCH = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_MULTIARCH)
  DEB_TARGET_ARCH      = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_ARCH)
