## binutils 2.33.50.20200107

=== debian/changelog ===
binutils (2.33.50.20200107-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jan 2020 23:19:25 +0100

binutils (2.33.50.20200105-2) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Jan 2020 11:33:49 +0100

binutils (2.33.50.20191212-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Dec 2019 16:16:13 +0100

binutils (2.33.50.20191205-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Dec 2019 21:22:15 +0100

binutils (2.33.50.20191128-1) experimental; urgency=medium

  * New upstream snapshot.
  * Split out libctf packages.
  * Save dejagnu log and sum files in binutils-dev.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2019 09:57:31 +0100

binutils (2.33.50.20191121-2) experimental; urgency=medium

  * Fix packaging cross targets.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Nov 2019 23:08:45 +0100

binutils (2.33.50.20191121-1) experimental; urgency=medium

  * New upstream snapshot.
  * Remove the 012_check_ldrunpath_length patch.
  * Don't apply the mips64-default-n64 patch.
  * Refresh patches.
  * Put libctf libctf libraries in libbinutils and binutils-dev for now.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Nov 2019 18:50:25 +0100

binutils (2.33.1-6) unstable; urgency=medium

  * Update from the binutils 2.33 branch:
    - [gas] Implement .cfi_negate_ra_state directive (AArch64).

 -- Matthias Klose <doko@debian.org>  Thu, 12 Dec 2019 23:32:03 +0100

binutils (2.33.1-5) unstable; urgency=medium

  * Revert configuring with --enable-mips-fix-loongson3-llsc=yes on mipsel,
    mips64el, mipsn32el. Causes GCC bootstrap comparison failures.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Dec 2019 11:55:09 +0100

binutils (2.33.1-4) unstable; urgency=medium

  * Configure with --enable-mips-fix-loongson3-llsc=yes on mipsel, mips64el,
    mipsn32el (YunQiang Su).
  * Enable building mipsel and mips64el targets on arm64 and ppc64el (YunQiang
    Su). Addresses: #938979.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Nov 2019 15:28:14 +0100
