## binutils 2.33.50.20200111

=== debian/changelog ===
binutils (2.33.50.20200111-1) unstable; urgency=medium

  * New upstream snapshot.
  * Make autopkgtests cross-test-friendly (Steve Langasek).

 -- Matthias Klose <doko@debian.org>  Sat, 11 Jan 2020 14:24:29 +0100
