=== debian/control ===
--- 
+++ 
@@ -66,6 +66,40 @@
  binary and object files.  They may be used in conjunction with a compiler
  and various libraries to build programs.
 
+Package: libctf-nobfd0
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}
+Description: Compact C Type Format library (runtime, no BFD dependency)
+ This package includes the libctf-nobfd shared library.  The Compact C Type
+ Format (CTF) is a way of representing information about a binary program
+
+Package: libctf-nobfd0-dbg
+Section: debug
+Architecture: any
+Multi-Arch: same
+Depends: libctf-nobfd0 (= ${binary:Version})
+Description: Compact C Type Format library (debug symbols, no BFD dependency)
+ This package includes the libctf-nobfd shared library.  The Compact C Type
+ Format (CTF) is a way of representing information about a binary program
+
+Package: libctf0
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, libbinutils (= ${binary:Version})
+Description: Compact C Type Format library (runtime, BFD dependency)
+ This package includes the libctf-nobfd shared library.  The Compact C Type
+ Format (CTF) is a way of representing information about a binary program
+
+Package: libctf0-dbg
+Section: debug
+Architecture: any
+Multi-Arch: same
+Depends: libctf0 (= ${binary:Version})
+Description: Compact C Type Format library (debug symbols, BFD dependency)
+ This package includes the libctf-nobfd shared library.  The Compact C Type
+ Format (CTF) is a way of representing information about a binary program
+
 Package: libbinutils
 Architecture: any
 Multi-Arch: same
@@ -86,7 +120,8 @@
 Package: binutils-dev
 Architecture: any
 Priority: optional
-Depends: binutils (= ${binary:Version}), libbinutils (= ${binary:Version})
+Depends: binutils (= ${binary:Version}), libbinutils (= ${binary:Version}),
+  libctf0 (= ${binary:Version}), libctf-nobfd0 (= ${binary:Version})
 Conflicts: libbfd-dev
 Provides: libbfd-dev
 Replaces: libbfd-dev, libc5-dev
@@ -255,39 +290,3 @@
  You don't need this package unless you plan to cross-compile programs
  for aarch64-linux-gnu and aarch64-linux-gnu is not your native platform.
 
-Package: binutils-aarch64-linux-gnu-dbg
-Section: debug
-Priority: optional
-Architecture: arm64 amd64 i386 x32 ppc64el
-Multi-Arch: foreign
-Depends: binutils-aarch64-linux-gnu (= ${binary:Version})
-Description: GNU binary utilities, for aarch64-linux-gnu target (debug symbols)
- This package provides debug symbols for binutils-aarch64-linux-gnu.
-
-Package: binutils-arm-linux-gnueabihf
-Priority: optional
-Architecture: armhf amd64 i386 x32 arm64 ppc64el
-Multi-Arch: allowed
-Depends: binutils-common (= ${binary:Version}),
-  ${shlibs:Depends}, ${extraDepends}
-Suggests: binutils-doc (= ${source:Version})
-Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
-Description: GNU binary utilities, for arm-linux-gnueabihf target
- This package provides GNU assembler, linker and binary utilities
- for the arm-linux-gnueabihf target.
- .
- You don't need this package unless you plan to cross-compile programs
- for arm-linux-gnueabihf and arm-linux-gnueabihf is not your native platform.
-
-Package: binutils-arm-linux-gnueabihf-dbg
-Section: debug
-Priority: optional
-Architecture: armhf amd64 i386 x32 arm64 ppc64el
-Multi-Arch: foreign
-Depends: binutils-arm-linux-gnueabihf (= ${binary:Version})
-Description: GNU binary utilities, for arm-linux-gnueabihf target (debug symbols)
- This package provides debug symbols for binutils-arm-linux-gnueabihf.
-
-Package: binutils-arm-linux-gnueabi
