=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Based on sample debian/rules file - for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # Copyright 1998-2007 James Troup.
-# Portions Copyright 2008-2017 Canonical Ltd.
-# Portions Copyright 2008-2017 Matthias Klose.
+# Portions Copyright 2008-2019 Canonical Ltd.
+# Portions Copyright 2008-2019 Matthias Klose.
 # I hereby give you perpetual unlimited permission to copy,
 # modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
@@ -51,6 +51,9 @@
 p_hppa64 = $(p_bin)-hppa64-linux-gnu
 p_src = $(p_bin)-source
 
+p_ctf = libctf0
+p_ctfn = libctf-nobfd0
+
 p_hst = $(p_bin)-for-host
 p_bld = $(p_bin)-for-build
 
@@ -86,6 +89,9 @@
 d_hppa64 = debian/$(p_hppa64)
 d_src = debian/$(p_src)
 
+d_ctf = debian/$(p_ctf)
+d_ctfn = debian/$(p_ctfn)
+
 d_hst = debian/$(p_hst)
 d_bld = debian/$(p_bld)
 
@@ -100,9 +106,15 @@
 NATIVE_ARCHS += alpha hppa ia64 m68k powerpc ppc64 \
 	riscv64 sh4 sparc64 x32
 NATIVE_ARCHS += hurd-i386 kfreebsd-amd64 kfreebsd-i386
-NATIVE_ARCHS += mips mipsel mipsn32 mipsn32el mips64 mips64el
-NATIVE_ARCHS += mipsn32r6 mipsn32r6el mipsr6 mipsr6el mips64r6 mips64r6el
 #NATIVE_ARCHS += nios2 or1k s390 sparc
+
+# don't generate the control file entries for native packages which are never
+# built. Only valid for Ubuntu. The autopkg testers get confused otherwise
+ifneq ($(distribution),Ubuntu)
+  NATIVE_ARCHS += mips mipsel mips64 mips64el
+  NATIVE_ARCHS += mipsn32 mipsn32el
+  NATIVE_ARCHS += mipsn32r6 mipsn32r6el mipsr6 mipsr6el mips64r6 mips64r6el
+endif
 
 src_name := $(shell dpkg-parsechangelog -S Source)
 ifeq ($(src_name),binutils)
@@ -143,9 +155,11 @@
   with_cross	= yes
   same_source	=
   ifeq (,$(CROSS_ARCHS))
-    ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
+    ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32 arm64 ppc64el))
       CROSS_ARCHS = mips mipsel mips64el mips64 mipsn32 mipsn32el
       CROSS_ARCHS += mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
+    else ifneq (,$(filter $(DEB_HOST_ARCH), arm64 ppc64el))
+      CROSS_ARCHS = mipsel mips64el
     else
       CROSS_ARCHS =
     endif
@@ -198,11 +212,11 @@
 HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el
 
 HOST_ARCHS_mips = amd64 i386 x32
-HOST_ARCHS_mipsel = amd64 i386 x32
+HOST_ARCHS_mipsel = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_mipsn32 = amd64 i386 x32
 HOST_ARCHS_mipsn32el = amd64 i386 x32
 HOST_ARCHS_mips64 = amd64 i386 x32
-HOST_ARCHS_mips64el = amd64 i386 x32
+HOST_ARCHS_mips64el = amd64 i386 x32 arm64 ppc64el
 
 HOST_ARCHS_mipsr6 = amd64 i386 x32
 HOST_ARCHS_mipsr6el = amd64 i386 x32
@@ -234,11 +248,3 @@
   with_cross	=
   same_source	=
   # Support TARGET both as Debian architecture specification (e.g. arm),
-  # and as the target name (e.g. arm-linux-gnu).
-  try_convert := $(shell dpkg-architecture -f -a$(TARGET) -qDEB_HOST_GNU_TYPE 2>/dev/null)
-  ifneq ($(try_convert),)
-    override TARGET := $(try_convert)
-  endif
-  DPKG_TARGET_VARS := $(shell dpkg-architecture -f -t$(TARGET))
-  DEB_TARGET_MULTIARCH = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_MULTIARCH)
-  DEB_TARGET_ARCH      = $(call vafilt,$(DPKG_TARGET_VARS),DEB_HOST_ARCH)
