## binutils 2.33.90.20200122

=== debian/changelog ===
binutils (2.33.90.20200122-2+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 2.29-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 17 Aug 2017 15:41:49 +0000]
  * Disable testsuite, it fails on our lxc based autobuilders.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 31 Jan 2020 19:01:44 +0000

binutils (2.33.90.20200122-2) unstable; urgency=medium

  * libctf-nobfd0: Add Breaks/Replaces to libbinutils. Closes: #949454.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jan 2020 07:49:18 +0100

binutils (2.33.90.20200122-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.34 release branch.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jan 2020 06:18:41 +0100

binutils (2.33.50.20200115-2) unstable; urgency=high

  [YunQiang Su]
  * refresh and re-enable: mips64-default-n64.diff

 -- YunQiang Su <syq@debian.org>  Thu, 16 Jan 2020 23:35:11 +0800

binutils (2.33.50.20200115-1) unstable; urgency=medium

  * New upstream snapshot.
  * Tighten the build dependency to 2.33.50.20200114-1 for this upload.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jan 2020 21:18:18 +0100

binutils (2.33.50.20200114-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build on testing for arm64, and upload the binaries.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jan 2020 14:19:00 +0100
