## binutils 2.34

=== debian/changelog ===
binutils (2.34-6ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Apr 2020 13:42:51 +0200

binutils (2.34-6) unstable; urgency=medium

  * Update from the binutils 2.34 branch:
    - Fix PR lto/94249, typo in a macro usage, improve endianess detection.
    - PR25745, powerpc64-ld overflows string buffer in --stats mode.
    - plugin: Don't invoke LTO-wrapper.
    - PR binutils/25640, plugin: Use LDPT_ADD_SYMBOLS_V2 to get symbol type.
    - Fix dwarf.c build with GCC 10.
    - PR binutils/25717, build failure with GCC 10.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Apr 2020 13:29:21 +0200

binutils (2.34-5ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Mar 2020 20:55:01 +0100

binutils (2.34-5) unstable; urgency=medium

  * Update from the binutils 2.34 branch:
    - Fix PR gas/25660, vadd/vsub with lt and le condition codes for MVE.
    - Fix powerpc64-ld infinite loop.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Mar 2020 20:45:59 +0100

binutils (2.34-4ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Feb 2020 12:22:48 +0100

binutils (2.34-4) unstable; urgency=medium

  * Update from the binutils 2.34 branch:
    - Fix PR24511, nm should not mark symbols in .init_array as "t".
    - Fix PR binutils/25584, don't call lto-wrapper for ar and ranlib.

 -- Matthias Klose <doko@debian.org>  Fri, 28 Feb 2020 11:18:34 +0100

binutils (2.34-3ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Feb 2020 10:24:03 +0100

binutils (2.34-3) unstable; urgency=medium

  * Update from the binutils 2.34 branch:
    - Fix PR gas/25516, Accept Intel64 only instruction by default.
    - Fix PR 25447, prevents a potential illegal memory access when parsing
      PE binaries.
    - Fix PR binutils/25355, import fixes for using the LTO plugin with nm.
    - Fix PR 25585, PHDR segment not covered by LOAD segment.
    - MSP430 updates.
    - Mention x86 assembler options to align branches.
    - AArch64: Fix MOVPRFX markup for bf16 conversions.
  * Make the test summary files reproducible. Addresses: #950585.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Feb 2020 09:49:46 +0100

binutils (2.34-2) unstable; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Feb 2020 17:46:11 +0100

binutils (2.34-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2020 09:06:42 +0100

binutils (2.34-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Feb 2020 08:45:55 +0100

binutils (2.33.90.20200122-1ubuntu2) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2020 06:29:07 +0100

binutils (2.33.50.20200114-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 13:31:32 +0100

binutils (2.33.50.20200111-1ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 15:01:26 +0100

binutils (2.33.50.20200107-1ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2020 23:37:20 +0100

binutils (2.33.50.20200105-2ubuntu2) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2020 11:43:46 +0100

binutils (2.33.50.20200105-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Jan 2020 11:33:49 +0100

binutils (2.33.50.20191219-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Dec 2019 09:54:11 +0100

binutils (2.33.50.20191216-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2019 16:49:06 +0100

binutils (2.33.50.20191216-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Dec 2019 16:26:37 +0100

binutils (2.33.50.20191127-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Nov 2019 22:13:54 +0100

binutils (2.33.50.20191127-1) experimental; urgency=medium

  * New upstream snapshot.
  * Split out libctf packages.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Nov 2019 20:16:21 +0100

binutils (2.33.1-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't build the powerpcspe package.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:01:50 +0200
