=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: James Troup <binutils@elmo.tasta.io>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
   bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz,
   python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps,
@@ -70,8 +70,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}
-Breaks: libbinutils (<< 2.33.50.20191128-1~)
-Replaces: libbinutils (<< 2.33.50.20191128-1~)
 Description: Compact C Type Format library (runtime, no BFD dependency)
  This package includes the libctf-nobfd shared library.  The Compact C Type
  Format (CTF) is a way of representing information about a binary program
@@ -289,3 +287,6 @@
  This package provides GNU assembler, linker and binary utilities
  for the aarch64-linux-gnu target.
  .
+ You don't need this package unless you plan to cross-compile programs
+ for aarch64-linux-gnu and aarch64-linux-gnu is not your native platform.
+
