## binutils 2.34.90.20200706

=== debian/changelog ===
binutils (2.34.90.20200706-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 2.29-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 17 Aug 2017 15:41:49 +0000]
  * Disable testsuite, it fails on our lxc based autobuilders.

  [changes brought forward from 2.31.1-16+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Thu, 06 Feb 2020 17:10:11 +0000]
  * Allow dependency of binutils on binutils-triplet to be satisfied by
    foreign architectures, to facilitate setting up environments where the
    linker is 64-bit while everything else is 32-bit.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 17 Jul 2020 07:32:28 +0000

binutils (2.34.90.20200706-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.35 branch.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jul 2020 21:10:37 +0200

binutils (2.34.50.20200605-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Jun 2020 10:56:37 +0200

binutils (2.34.50.20200512-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 12 May 2020 16:24:56 +0200
