=== debian/control ===
--- 
+++ 
@@ -56,7 +56,7 @@
 Package: binutils
 Architecture: any
 Depends: ${shlibs:Depends}, binutils-common (= ${binary:Version}),
-  libbinutils (= ${binary:Version}), ${binutils:native} (= ${binary:Version})
+  libbinutils (= ${binary:Version}), ${binutils:native}:any (= ${binary:Version})
 Conflicts: modutils (<< 2.4.19-1), ${extraConflicts},
   binutils-multiarch (<< 2.27-8)
 Provides: elf-binutils, ${gold:Provides}
@@ -70,6 +70,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}
+Breaks: libbinutils (<< 2.33.50.20191128-1~)
+Replaces: libbinutils (<< 2.33.50.20191128-1~)
 Description: Compact C Type Format library (runtime, no BFD dependency)
  This package includes the libctf-nobfd shared library.  The Compact C Type
  Format (CTF) is a way of representing information about a binary program
@@ -287,6 +289,3 @@
  This package provides GNU assembler, linker and binary utilities
  for the aarch64-linux-gnu target.
  .
- You don't need this package unless you plan to cross-compile programs
- for aarch64-linux-gnu and aarch64-linux-gnu is not your native platform.
-
