## binutils 2.35.1

=== debian/changelog ===
binutils (2.35.1-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Sep 2020 12:24:12 +0200

binutils (2.35.1-1) unstable; urgency=medium

  * binutils 2.35.1 release.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Sep 2020 11:45:07 +0200

binutils (2.35-3ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Sep 2020 13:05:23 +0200

binutils (2.35-3) unstable; urgency=medium

  * Update from the binutils 2.35 branch:
    - PowerPC TPREL_HA/LO optimisation.
    - Partially fix PR gas/26406, quadratic slowdown when processing secondary
      relocations.
    - Fix PR binutils/26548, spurious overflow error when decoding negative
      LEB128 values.
    - mark's dwarf backports
    - bpf: add xBPF ISA.
    - Backport patches from the mainline to fix the handling of DWARF-5 debug
      information
    - PowerPC: Rename xvcvbf16sp to xvcvbf16spn.
    - Fix PR binutils/26389, nm prints "c" for a common symbol with
      -flto and -fcommon.
    - Arm: Fix IT-predicated MVE vcvt.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Sep 2020 12:34:43 +0200

binutils (2.35-2ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Aug 2020 17:57:26 +0200

binutils (2.35-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jul 2020 13:09:05 +0200

binutils (2.34.90.20200716-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jul 2020 12:15:22 +0200

binutils (2.34.90.20200716-1) unstable; urgency=medium

  * New upstream snapshot, taken from the binutils 2.35 branch.
  * Explicitly configure with --disable-x86-used-note.
  * Configure mipsel, mipsn32el, mips64el again with
    --enable-mips-fix-loongson3-llsc=yes (YunQiang Su). Closes: #952737.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jul 2020 11:29:49 +0200

binutils (2.34.90.20200706-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jul 2020 22:53:09 +0200

binutils (2.34-7ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't generate control file entries for any native mips* packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 May 2020 14:30:22 +0200

binutils (2.34-7) unstable; urgency=medium

  * Update from the binutils 2.34 branch:
    - Fix PR binutils/24753, exclude sections with no content from
      compress check.
    - Fix PR gas/25863 (ARM), scalar vmul inside it block when assembling
      for MVE.
    - Fix PR ld/16017 (ARM), fix LSB of GOT for Thumb2 only PLT.
    - Arm: Fix thumb2 PLT branch offsets.
  * Update VCS attributes.

 -- Matthias Klose <doko@debian.org>  Thu, 14 May 2020 14:17:58 +0200
